import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        id?: string | undefined;
        position?: "static" | "fixed" | "absolute" | "relative" | "sticky" | undefined;
        dismissable?: boolean | undefined;
        bannerType?: "default" | "bottom" | "cta" | "signup" | "info" | undefined;
        divClass?: string | undefined;
        innerClass?: string | undefined;
    };
    events: {
        click: MouseEvent;
        change: CustomEvent<any>;
        keydown: CustomEvent<any>;
        keyup: CustomEvent<any>;
        focus: CustomEvent<any>;
        blur: CustomEvent<any>;
        mouseenter: CustomEvent<any>;
        mouseleave: CustomEvent<any>;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        header: {};
        default: {};
    };
};
export type BannerProps = typeof __propDef.props;
export type BannerEvents = typeof __propDef.events;
export type BannerSlots = typeof __propDef.slots;
/**
 * [Go to Banner](https://flowbite-svelte.com/docs/components/banner)
 * ## Props
 * @prop id: string = 'sticky-banner';
 * @prop position: 'static' | 'fixed' | 'absolute' | 'relative' | 'sticky' = 'sticky';
 * @prop dismissable: boolean = true;
 * @prop bannerType: 'default' | 'bottom' | 'cta' | 'signup' | 'info' = 'default';
 * @prop divClass: string = 'z-10 flex justify-between p-4 dark:bg-gray-700 dark:border-gray-600';
 * @prop insideDiv: string = 'flex';
 * ## Event
 * - on:click
 * - on:change
 * - on:keydown
 * - on:keyup
 * - on:focus
 * - on:blur
 * - on:mouseenter
 * - on:mouseleave
 */
export default class Banner extends SvelteComponentTyped<BannerProps, BannerEvents, BannerSlots> {
}
export {};
//# sourceMappingURL=Banner.svelte.d.ts.map