import { SvelteComponentTyped } from "svelte";
export type BottomNavType = {
    activeClass: string;
};
declare const __propDef: {
    props: {
        [x: string]: any;
        activeUrl?: string | undefined;
        position?: "static" | "fixed" | "absolute" | "relative" | "sticky" | undefined;
        navType?: "default" | "border" | "application" | "group" | "pagination" | "card" | "meeting" | "video" | undefined;
        outerClass?: string | undefined;
        innerClass?: string | undefined;
        activeClass?: string | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        header: {};
        default: {};
    };
};
export type BottomNavProps = typeof __propDef.props;
export type BottomNavEvents = typeof __propDef.events;
export type BottomNavSlots = typeof __propDef.slots;
/**
 * [Go to Bottom Navigation](https://flowbite-svelte.com/docs/components/bottom-navigation)
 * ## Props
 * @prop position: 'static' | 'fixed' | 'absolute' | 'relative' | 'sticky' = 'fixed';
 * @prop navType:| 'default' | 'border' | 'application' | 'pagination' | 'group' | 'card' | 'meeting' | 'video' | 'custom' = 'default';
 * @prop outerClass: string = 'w-full z-50 border-gray-200 dark:bg-gray-700 dark:border-gray-600';
 * @prop innerClass: string = 'grid h-full max-w-lg mx-auto';
 * @prop outerCustom: string = '';
 * @prop innerCustom: string = '';
 */
export default class BottomNav extends SvelteComponentTyped<BottomNavProps, BottomNavEvents, BottomNavSlots> {
}
export {};
//# sourceMappingURL=BottomNav.svelte.d.ts.map