import { SvelteComponentTyped } from "svelte";
import type { drawerTransitionParamTypes, drawerTransitionTypes } from '../types';
declare const __propDef: {
    props: {
        [x: string]: any;
        activateClickOutside?: boolean | undefined;
        hidden?: boolean | undefined;
        position?: "fixed" | "absolute" | undefined;
        leftOffset?: string | undefined;
        rightOffset?: string | undefined;
        topOffset?: string | undefined;
        bottomOffset?: string | undefined;
        width?: string | undefined;
        backdrop?: boolean | undefined;
        bgColor?: string | undefined;
        bgOpacity?: string | undefined;
        placement?: "bottom" | "left" | "right" | "top" | undefined;
        id?: string | undefined;
        divClass?: string | undefined;
        transitionParams?: drawerTransitionParamTypes | undefined;
        transitionType?: drawerTransitionTypes;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {
            hidden: boolean;
        };
    };
};
export type DrawerProps = typeof __propDef.props;
export type DrawerEvents = typeof __propDef.events;
export type DrawerSlots = typeof __propDef.slots;
/**
 * [Go to Drawer](https://flowbite-svelte.com/docs/components/drawer)
 * ## Props
 * @prop activateClickOutside: boolean = true;
 * @prop hidden: boolean = true;
 * @prop position: 'fixed' | 'absolute' = 'fixed';
 * @prop leftOffset: string = 'inset-y-0 left-0';
 * @prop rightOffset: string = 'inset-y-0 right-0';
 * @prop topOffset: string = 'inset-x-0 top-0';
 * @prop bottomOffset: string = 'inset-x-0 bottom-0';
 * @prop width: string = 'w-80';
 * @prop backdrop: boolean = true;
 * @prop bgColor: string = 'bg-gray-900';
 * @prop bgOpacity: string = 'bg-opacity-75';
 * @prop placement: 'left' | 'right' | 'top' | 'bottom' = 'left';
 * @prop id: string = 'drawer-example';
 * @prop divClass: string = 'overflow-y-auto z-50 p-4 bg-white dark:bg-gray-800';
 * @prop transitionParams: drawerTransitionParamTypes = {};
 * @prop transitionType: drawerTransitionTypes = 'fly';
 */
export default class Drawer extends SvelteComponentTyped<DrawerProps, DrawerEvents, DrawerSlots> {
}
export {};
//# sourceMappingURL=Drawer.svelte.d.ts.map