import { SvelteComponentTyped } from "svelte";
import type { ComponentType } from 'svelte';
declare const __propDef: {
    props: {
        [x: string]: any;
        divClass?: string | undefined;
        size?: number | undefined;
        total?: number | undefined;
        rating?: number | undefined;
        partialId?: string | undefined;
        icon?: ComponentType | undefined;
        count?: boolean | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
        text: {};
    };
};
export type RatingProps = typeof __propDef.props;
export type RatingEvents = typeof __propDef.events;
export type RatingSlots = typeof __propDef.slots;
/**
 * [Go to Rating](https://flowbite-svelte.com/docs/components/rating)
 * ## Props
 * @prop divClass: string = 'flex items-center';
 * @prop size: number = 24;
 * @prop total: number = 5;
 * @prop rating: number = 4;
 * @prop partialId: string = 'partialStar' + generateId();
 * @prop icon: ComponentType = Star;
 * @prop count: boolean = false;
 */
export default class Rating extends SvelteComponentTyped<RatingProps, RatingEvents, RatingSlots> {
}
export {};
//# sourceMappingURL=Rating.svelte.d.ts.map