import { SvelteComponentTyped } from "svelte";
import type { Placement } from '@floating-ui/dom';
export interface SpeedCtxType {
    pill: boolean;
    tooltip: Placement | 'none';
    textOutside: boolean;
}
declare const __propDef: {
    props: {
        [x: string]: any;
        defaultClass?: string | undefined;
        popperDefaultClass?: string | undefined;
        placement?: Placement | undefined;
        pill?: boolean | undefined;
        tooltip?: "none" | Placement | undefined;
        trigger?: "click" | "hover" | undefined;
        textOutside?: boolean | undefined;
        id?: string | undefined;
        name?: string | undefined;
        gradient?: boolean | undefined;
        open?: boolean | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        icon: {};
        default: {};
    };
};
export type SpeedDialProps = typeof __propDef.props;
export type SpeedDialEvents = typeof __propDef.events;
export type SpeedDialSlots = typeof __propDef.slots;
/**
 * [Go to Speed Dial](https://flowbite-svelte.com/docs/components/speed-dial)
 * ## Props
 * @prop defaultClass: string = 'fixed right-6 bottom-6';
 * @prop popperDefaultClass: string = 'flex items-center mb-4 gap-2';
 * @prop placement: Placement = 'top';
 * @prop pill: boolean = true;
 * @prop tooltip: Placement | 'none' = 'left';
 * @prop trigger: 'hover' | 'click' = 'hover';
 * @prop textOutside: boolean = false;
 * @prop id: string = generateId();
 * @prop name: string = 'Open actions menu';
 * @prop gradient: boolean = false;
 */
export default class SpeedDial extends SvelteComponentTyped<SpeedDialProps, SpeedDialEvents, SpeedDialSlots> {
}
export {};
//# sourceMappingURL=SpeedDial.svelte.d.ts.map