import { SvelteComponentTyped } from "svelte";
import type { Placement } from '@floating-ui/dom';
declare const __propDef: {
    props: {
        [x: string]: any;
        btnDefaultClass?: string | undefined;
        name?: string | undefined;
        tooltip?: "none" | Placement | undefined;
        pill?: boolean | undefined;
        textOutside?: boolean | undefined;
        textOutsideClass?: string | undefined;
        textDefaultClass?: string | undefined;
    };
    events: {
        click: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type SpeedDialButtonProps = typeof __propDef.props;
export type SpeedDialButtonEvents = typeof __propDef.events;
export type SpeedDialButtonSlots = typeof __propDef.slots;
/**
 * [Go to Speed Dial](https://flowbite-svelte.com/docs/components/speed-dial)
 * ## Props
 * @prop btnDefaultClass: string = 'w-[52px] h-[52px] shadow-sm !p-2';
 * @prop name: string = '';
 * @prop tooltip: Placement | 'none' = context.tooltip;
 * @prop pill: boolean = context.pill;
 * @prop textOutside: boolean = context.textOutside;
 * @prop textOutsideClass: string = 'block absolute -left-14 top-1/2 mb-px text-sm font-medium -translate-y-1/2';
 * @prop textDefaultClass: string = 'block mb-px text-xs font-medium';
 */
export default class SpeedDialButton extends SvelteComponentTyped<SpeedDialButtonProps, SpeedDialButtonEvents, SpeedDialButtonSlots> {
}
export {};
//# sourceMappingURL=SpeedDialButton.svelte.d.ts.map