import { SvelteComponentTyped } from "svelte";
import type { TableColorType } from '../types';
declare const __propDef: {
    props: {
        [x: string]: any;
        divClass?: string | undefined;
        striped?: boolean | undefined;
        hoverable?: boolean | undefined;
        noborder?: boolean | undefined;
        shadow?: boolean | undefined;
        color?: TableColorType | undefined;
        customeColor?: string | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        default: {};
    };
};
export type TableProps = typeof __propDef.props;
export type TableEvents = typeof __propDef.events;
export type TableSlots = typeof __propDef.slots;
/**
 * [Go to Table](https://flowbite-svelte.com/docs/components/table)
 * ## Props
 * @prop divClass: string = 'relative overflow-x-auto';
 * @prop striped: boolean = false;
 * @prop hoverable: boolean = false;
 * @prop noborder: boolean = false;
 * @prop shadow: boolean = false;
 * @prop color: TableColorType = 'default';
 * @prop customeColor: string = '';
 */
export default class Table extends SvelteComponentTyped<TableProps, TableEvents, TableSlots> {
}
export {};
//# sourceMappingURL=Table.svelte.d.ts.map