import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        [x: string]: any;
        open?: boolean | undefined;
        title?: string | undefined;
        activeClasses?: string | undefined;
        inactiveClasses?: string | undefined;
        defaultClass?: string | undefined;
    };
    events: {
        blur: FocusEvent;
        click: MouseEvent;
        contextmenu: MouseEvent;
        focus: FocusEvent;
        keydown: KeyboardEvent;
        keypress: KeyboardEvent;
        keyup: KeyboardEvent;
        mouseenter: MouseEvent;
        mouseleave: MouseEvent;
        mouseover: MouseEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {
        title: {};
        default: {};
    };
};
export type TabItemProps = typeof __propDef.props;
export type TabItemEvents = typeof __propDef.events;
export type TabItemSlots = typeof __propDef.slots;
/**
 * [Go to Tab](https://flowbite-svelte.com/docs/components/tab)
 * ## Props
 * @prop open: boolean = false;
 * @prop title: string = 'Tab title';
 * @prop activeClasses: string | undefined = undefined;
 * @prop inactiveClasses: string | undefined = undefined;
 * @prop defaultClass: string =
 *   'inline-block text-sm font-medium text-center disabled:cursor-not-allowed';
 * ## Event
 * - on:blur
 * - on:click
 * - on:contextmenu
 * - on:focus
 * - on:keydown
 * - on:keypress
 * - on:keyup
 * - on:mouseenter
 * - on:mouseleave
 * - on:mouseover
 */
export default class TabItem extends SvelteComponentTyped<TabItemProps, TabItemEvents, TabItemSlots> {
}
export {};
//# sourceMappingURL=TabItem.svelte.d.ts.map